=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2009-04-07 18:29:10 +0000
+++ loggerhead/apps/branch.py	2009-04-07 18:26:03 +0000
@@ -31,7 +31,7 @@
 
     def __init__(self, branch, friendly_name=None, config={},
                  graph_cache=None, branch_link=None, is_root=False,
-                 served_url=_DEFAULT, use_cdn=False):
+                 served_url=_DEFAULT, use_yui_cdn=False):
         self.branch = branch
         self._config = config
         self.friendly_name = friendly_name
@@ -42,7 +42,7 @@
         self.graph_cache = graph_cache
         self.is_root = is_root
         self.served_url = served_url
-        self.use_cdn = use_cdn
+        self.use_yui_cdn = use_yui_cdn
 
     def get_history(self):
         _history = History(self.branch, self.graph_cache)
@@ -81,7 +81,7 @@
         return self._static_url_base + path
 
     def yui_url(self, path):
-        if self.use_cdn:
+        if self.use_yui_cdn:
             base = 'http://yui.yahooapis.com/3.0.0pr2/build/'
         else:
             base = self.static_url('/static/javascript/yui/build/')

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2009-04-07 18:29:10 +0000
+++ loggerhead/apps/filesystem.py	2009-04-01 20:11:48 +0000
@@ -33,7 +33,7 @@
             branch, name,
             {'cachepath': self._config.SQL_DIR},
             self.root.graph_cache, is_root=is_root,
-            use_cdn=self._config.get_option('use_cdn'))
+            use_yui_cdn=self._config.get_option('yui_cdn'))
         return branch_app.app
 
     def app_for_non_branch(self, environ):

=== modified file 'loggerhead/config.py'
--- loggerhead/config.py	2009-04-07 18:29:10 +0000
+++ loggerhead/config.py	2009-04-01 20:11:48 +0000
@@ -10,7 +10,7 @@
         user_dirs=False,
         show_version=False,
         log_folder=None,
-        use_cdn=False,
+        yui_cdn=False,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
@@ -36,7 +36,7 @@
                       type=str, help="The directory to place log files in.")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
-    parser.add_option('--use-cdn', action='store_true',
+    parser.add_option('--yui-cdn', action='store_true',
                       help="Serve YUI from Yahoo!'s CDN")
     return parser
 

